hive-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ashutosh Chauhan (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (HIVE-18007) Address maven warnings
Date Wed, 08 Nov 2017 16:19:00 GMT

    [ https://issues.apache.org/jira/browse/HIVE-18007?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16244240#comment-16244240
] 

Ashutosh Chauhan edited comment on HIVE-18007 at 11/8/17 4:18 PM:
------------------------------------------------------------------

[~prasanth_j]] Thats a good idea. However, that makes build to fail currently. Also, that
will make minimum mvn version required to be 3.3 Currently I am on 3.1.1 and some of those
warnings are gone on 3.3 Lets pursue this in separate jira.


was (Author: ashutoshc):
[~prashantj] Thats a good idea. However, that makes build to fail currently. Also, that will
make minimum mvn version required to be 3.3 Currently I am on 3.1.1 and some of those warnings
are gone on 3.3 Lets pursue this in separate jira.

> Address maven warnings
> ----------------------
>
>                 Key: HIVE-18007
>                 URL: https://issues.apache.org/jira/browse/HIVE-18007
>             Project: Hive
>          Issue Type: Bug
>          Components: Build Infrastructure
>    Affects Versions: 3.0.0
>            Reporter: Ashutosh Chauhan
>            Assignee: Ashutosh Chauhan
>             Fix For: 3.0.0
>
>         Attachments: HIVE-18007.patch
>
>
> {code}
> [WARNING] Some problems were encountered while building the effective model for org.apache.hive:hive-metastore:jar:3.0.0-SNAPSHOT
> [WARNING] 'build.plugins.plugin.(groupId:artifactId)' must be unique but found duplicate
declaration of plugin org.apache.maven.plugins:maven-jar-plugin @ line 299, column 15
> [WARNING] Some problems were encountered while building the effective model for org.apache.hive:hive-standalone-metastore:jar:3.0.0-SNAPSHOT
> [WARNING] 'build.plugins.plugin.version' for org.antlr:antlr3-maven-plugin is missing.
@ line 538, column 15
> [WARNING] It is highly recommended to fix these problems because they threaten the stability
of your build.
> [WARNING] For this reason, future Maven versions might no longer support building such
malformed projects.
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message